Skip to main content
GET
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://api.waycore.com/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "connectionId": "<string>",
      "accountId": "<string>",
      "status": "pending",
      "postedDate": "2023-12-25",
      "updatedAt": "2023-11-07T05:31:56Z",
      "amount": "<string>",
      "currency": "<string>",
      "entryType": "credit",
      "description": "<string>",
      "rail": "internalTransfer",
      "rawDescription": "<string>",
      "paymentReference": "<string>",
      "bankReference": "<string>",
      "baiCode": "<string>",
      "category": "<string>",
      "subcategory": "<string>",
      "mcc": "<string>",
      "merchantName": "<string>",
      "counterpartyName": "<string>",
      "counterpartyAccountMasked": "<string>"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "meta": {
    "requestId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Client Credentials issuing JWT Bearer access tokens.

Query Parameters

cursor
string | null

Pagination cursor from a previous response.

limit
integer
default:100

Maximum number of items to return.

Required range: 1 <= x <= 500
sort
enum<string>
default:-postedDate

Sort order. Stable ordering uses the chosen sort field with id as a tiebreaker.

Available options:
postedDate,
-postedDate,
updatedAt,
-updatedAt
fields
string | null

Comma-separated sparse fieldset. The server always includes required identifiers.

accountId
string | null

Filter by account identifier.

connectionId
string | null

Filter by connection identifier.

status
enum<string> | null

Filter by transaction status.

Available options:
pending,
posted,
reversed,
cancelled,
unknown
rail
enum<string> | null

Filter by payment rail.

Available options:
internalTransfer,
card,
ach,
sepaCredit,
sepaDebit,
wire,
swift,
fasterPayments,
check,
cash,
crypto,
other,
unknown
postedDateGte
string<date> | null

Return transactions with postedDate greater than or equal to this date.

postedDateLt
string<date> | null

Return transactions with postedDate earlier than this date.

Response

Successful Response

data
Transaction · object[]
required
pagination
Pagination · object
required
meta
Meta · object
required